Bug 1046813 - Review Request: rubygem-cocaine - A small library for doing (command) lines
Summary: Review Request: rubygem-cocaine - A small library for doing (command) lines
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-27 00:01 UTC by Ken Dreyer
Modified: 2014-02-05 01:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-03 09:18:55 UTC
Type: ---
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ken Dreyer 2013-12-27 00:01:32 UTC
Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-cocaine.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-cocaine-0.5.3-1.fc21.src.rpm
Description: A small library for doing (command) lines
Fedora Account System Username: ktdreyer

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6334917

Comment 1 Mamoru TASAKA 2014-01-01 15:54:48 UTC
Taking.

I would appreciate it if you would review my review request (bug 1047655)

Comment 2 Mamoru TASAKA 2014-01-03 15:31:52 UTC
Okay, simple package and clean.
One thing:

* Please write your real name on all history in %changelog

- spec file clean
- builds fine
- rebuilt binary rpm clean
- can be installed
- An example explained in README.md works, and at least the
  following works:

$ ruby -e "require 'cocaine/version' ; puts Cocaine::VERSION"
0.5.3

-------------------------------------------------------------
     This package (rubygem-cocaine) is APPROVED by
     mtasaka
-------------------------------------------------------------

Comment 3 Ken Dreyer 2014-01-04 06:53:53 UTC
Thanks very much mtasaka for the review!

New Package SCM Request
=======================
Package Name: rubygem-cocaine
Short Description: A small library for doing (command) lines
Owners: ktdreyer
Branches: f20

Comment 4 Ken Dreyer 2014-01-04 06:55:24 UTC
(In reply to Mamoru TASAKA from comment #2)
> One thing:
> 
> * Please write your real name on all history in %changelog

Great catch - I will fix before importing.

Comment 5 Gwyn Ciesla 2014-01-06 13:38:23 UTC
Git done (by process-git-requests).

Comment 6 Mamoru TASAKA 2014-02-03 09:18:55 UTC
Closing as this package is already imported.

Comment 7 Ken Dreyer 2014-02-05 01:27:07 UTC
Sorry I missed closing this one, and thanks for taking care of it.


Note You need to log in before you can comment on or make changes to this bug.